KY Document.Info
T standardDocument
KY Document.SeqChapters
N Preface
Worldwide Software Issues
Scripts
The Localization Process
Cultural Factors
Localized Macintosh System Software
Appendix A: Primary Languages of the World
Appendix B: Apple Keyboards
Appendix C: Character Sets
Appendix D: Sorting Orders
Appendix E: Useful Addresses
Appendix F: Summary of Scripts
Appendix G: System Software Version 7.0
Appendix H: Programmer's Quick Reference
Bibliography
Glossary
C card 3
card 4
card 17
card 32
card 56
card 72
card 84
card 85
card 86
card 87
card 88
card 171
card 172
card 181
card 185
card 207
KY Document.AlphaChapters
N Appendix A: Primary Languages of the World
Appendix B: Apple Keyboards
Appendix C: Character Sets
Appendix D: Sorting Orders
Appendix E: Useful Addresses
Appendix F: Summary of Scripts
Appendix G: System Software Version 7.0
Appendix H: Programmer's Quick Reference
Bibliography
Cultural Factors
Glossary
Localized Macintosh System Software
Preface
Scripts
The Localization Process
Worldwide Software Issues
C card 84
card 85
card 86
card 87
card 88
card 171
card 172
card 181
card 185
card 56
card 207
card 72
card 3
card 17
card 32
card 4
KY Preface.Sections
N About this book
C card 3
KY Worldwide Software Issues.Sections
N About this chapter
Generalization and localization
The localizable human interface   
Natural language strings    
Worldwide graphics
Writing systems  
Simple scripts
Other single-byte scripts
Double-byte systems  
Keyboards  
Documentation  
Miscellaneous localization issues  
Further information  
C card 4
card 5
card 6
card 7
card 8
card 9
card 10
card 11
card 12
card 13
card 14
card 15
card 16
KY Worldwide Software Issues.Figures
N Figure 1-1  Three ways to describe a garbage can
C line 79 of card 7
KY Scripts.Sections
N About this chapter
Macintosh scripts
Mixed scripts
Character variations in scripts
Character sets, fonts, and glyphs   
About the Macintosh Script Management System 
Keyboards
Character codes and key codes
Sorting
The Script Management System at work       
Single-byte scripts
Chinese
Japanese
Culturally specific Toolbox tasks
Further information     
C card 17
card 18
card 19
card 20
card 21
card 22
card 23
card 24
card 25
card 26
card 27
card 28
card 29
card 30
card 31
KY Scripts.Figures
N Figure 2-1  Converting key codes
Figure 2-2  Menu bar with Zhong-Wen Talk active
Figure 2-3  Typical Chinese text input window
Figure 2-4  Zhongwen Xitong desk accessory
Figure 2-5  Example of Pinyin input method
Figure 2-6  Example of Bixing input method
Figure 2-7  Example of Bianma input method
Figure 2-8  Menu bar with KanjiTalk active
Figure 2-9  Japanese text input windows
C line 13 of card 24
line 5 of card 28
line 11 of card 28
line 30 of card 28
line 38 of card 28
line 42 of card 28
line 46 of card 28
line 25 of card 29
line 51 of card 29
KY Scripts.Tables
N Table 2-1  Current Macintosh languages
Table 2-2  Chinese, Korean, and Japanese scripts and subscripts
Table 2-3  Typical character set, written language, and glyphs
Table 2-4  Virtual key codes
Table 2-5  Example of mixed-directional text entry
Table 2-6  Example of contextual text entry
C line 38 of card 18
line 14 of card 19
line 16 of card 21
line 9 of card 24
line 7 of card 27
line 13 of card 27
KY The Localization Process.Sections
N About this chapter
About Macintosh resources  
Macintosh resource editors    
ResEdit  
DeRez and Rez  
MacRecorder    
Localized Macintosh system resources    
Number, currency, date, and time formats
Months and days of the week
Character and word attributes
Tokens and numbers in non-Roman scripts
Keyboard mapping
Keyboard legend translation
Character encoding
Keyboard icons
Script Manager resources
Macintosh application resources    
Dialog and alert boxes
Icons  
Menus  
Strings  
Document windows 
Complex elements 
Apple II localization    
C card 32
card 33
card 34
card 35
card 36
card 37
card 38
card 39
card 40
card 41
card 42
card 43
card 44
card 45
card 46
card 47
card 48
card 49
card 50
card 51
card 52
card 53
card 54
card 55
KY The Localization Process.Figures
N Figure 3-1  A typical ResEdit dialog box
Figure 3-2  A typical dialog box
Figure 3-3  A typical alert box
Figure 3-4  Typical icons
Figure 3-5  Icon forms
Figure 3-6  A typical menu
Figure 3-7  A typical window
C line 5 of card 35
line 10 of card 49
line 14 of card 49
line 3 of card 50
line 7 of card 50
line 5 of card 51
line 3 of card 53
KY The Localization Process.Tables
N Table 3-1  Localized Toolbox operations and their system resource types
Table 3-2  Characteristics of localized system resources
Table 3-3  Toolbox operations determined by 'itl0' resources
Table 3-4  Toolbox operations determined by 'itl1' resources
Table 3-5  Toolbox operations determined by 'itl2' resources
Table 3-6  Toolbox operations determined by 'itl4' resources
Table 3-7  Apple keyboards and their system resources
Table 3-8  Flag values for 'KSWP' resources
Table 3-9  Localizable application features and their resource types
C line 28 of card 38
line 51 of card 38
line 3 of card 39
line 3 of card 40
line 3 of card 41
line 5 of card 42
line 5 of card 43
line 21 of card 43
line 9 of card 48
KY Cultural Factors.Sections
N About this chapter
Ethnic stereotypes  
Religious references  
Symbols   
Prohibited objects   
Gender-specific depictions of people       
Portrayals of the human body    
Parts of the body  
Body language  
Images of animals  
Hype    
Nonstandard language  
Jargon  
Slang  
Humor  
Summary
C card 56
card 57
card 58
card 59
card 60
card 61
card 62
card 63
card 64
card 65
card 66
card 67
card 68
card 69
card 70
card 71
KY Cultural Factors.Figures
N Figure 4-1  How to insult someone in Brazil
C line 5 of card 64
KY Localized Macintosh System Software.Sections
N About this chapter
Geographic distribution  
Script systems and fonts   
Keyboard resources  
Number and currency resources 
Time and date resources  
The Gregorian calendar
Arabic lunar calendars
Iranian national calendar
Time and date formats
Character sets  
Character sorting  
C card 72
card 73
card 74
card 75
card 76
card 77
card 78
card 79
card 80
card 81
card 82
card 83
KY Localized Macintosh System Software.Figures
N Figure 5-1  Arabic date controls
C line 26 of card 79
KY Localized Macintosh System Software.Tables
N Table 5-1  Localized versions of the Macintosh system software
Table 5-2  Versions of the system software with multiple script systems
Table 5-3  Special font sets
Table 5-4  Number formats
Table 5-5  Currency formats
Table 5-6  Gregorian months
Table 5-7  Arabic civil lunar calendar months
Table 5-8  Iranian national calendar months
Table 5-9  Time and numeric date formats
Table 5-10  Long and short written date formats
Table 5-11  Numerals
Table 5-12  Days of the week
Table 5-13  Months, first third of the year
Table 5-14  Months, second third of the year
Table 5-15  Months, last third of the year
Table 5-16  Character sets
Table 5-17  Sorting orders
C line 3 of card 73
line 5 of card 74
line 9 of card 74
line 5 of card 76
line 9 of card 76
line 7 of card 78
line 3 of card 79
line 7 of card 80
line 9 of card 81
line 13 of card 81
line 17 of card 81
line 21 of card 81
line 35 of card 81
line 39 of card 81
line 43 of card 81
line 5 of card 82
line 3 of card 83
KY Appendix A: Primary Languages of the World.Sections
N About this appendix
C card 84
KY Appendix A: Primary Languages of the World.Tables
N Table A-1  Worldwide languages (Afghanistan-Burundi)
Table A-1-1  Worldwide languages (Cambodia-Estonia)
Table A-1-2  Worldwide languages (Ethiopia-Iceland)
Table A-1-3  Worldwide languages (India-Latvia)
Table A-1-4  Worldwide languages (Lebanon-Myanmar)
Table A-1-5  Worldwide languages (Namibia-Rwanda)
Table A-1-6  Worldwide languages (St. Helena-Sudan)
Table A-1-7  Worldwide languages (Suriname-Venda)
Table A-1-8  Worldwide languages (Venzuela-Zimbabwe)
C line 33 of card 84
line 35 of card 84
line 37 of card 84
line 39 of card 84
line 41 of card 84
line 43 of card 84
line 45 of card 84
line 47 of card 84
line 49 of card 84
KY Appendix B: Apple Keyboards.Sections
N About this appendix
C card 85
KY Appendix B: Apple Keyboards.Figures
N Figure B-1  Apple II and Apple IIGS keyboard  (Apple standard)
Figure B-2  Apple II and Apple IIGS keyboard (ISO standard)
Figure B-3  The Macintosh Plus keyboard
Figure B-4  The Macintosh Extended keyboard II (Apple standard)
Figure B-5  The Macintosh Extended keyboard II (ISO standard)
Figure B-6  The Macintosh 512K keyboard (Apple standard)
Figure B-7  The Macintosh 512K keyboard (ISO standard)
Figure B-8  The Macintosh Portable keyboard (Apple standard)
Figure B-9  The Macintosh Portable keyboard (ISO standard)
C line 31 of card 85
line 33 of card 85
line 35 of card 85
line 37 of card 85
line 39 of card 85
line 41 of card 85
line 43 of card 85
line 45 of card 85
line 47 of card 85
KY Appendix B: Apple Keyboards.Tables
N Table B-1  Apple keyboards
C line 29 of card 85
KY Appendix C: Character Sets.Sections
N About this appendix
C card 86
KY Appendix C: Character Sets.Figures
N Figure C-1  Original Macintosh character set encoding
Figure C-2  Standard Roman character set encoding
Figure C-3  Arabic character set encoding
Figure C-4  Chinese character set encoding
Figure C-5  Croatian character set encoding
Figure C-6  Cyrillic character set encoding
Figure C-7  East European character set encoding
Figure C-8  Farsi character set encoding
Figure C-9  Greek character set encoding
Figure C-10  Hebrew character set encoding
Figure C-11  Japanese character set encoding
Figure C-12  Korean character set encoding
Figure C-13  Turkish character set encoding
C line 52 of card 86
line 54 of card 86
line 56 of card 86
line 58 of card 86
line 69 of card 86
line 71 of card 86
line 73 of card 86
line 75 of card 86
line 77 of card 86
line 79 of card 86
line 81 of card 86
line 97 of card 86
line 108 of card 86
KY Appendix D: Sorting Orders.Sections
N About this appendix
C card 87
KY Appendix D: Sorting Orders.Tables
N Table D-1  Standard Roman sorting order
Table D-2  Arabic sorting order
Table D-3  Danish sorting order
Table D-4  Finnish sorting order
Table D-5  Icelandic sorting order
Table D-6  Norwegian sorting order
Table D-7  Spanish sorting order
Table D-8  Swedish sorting order
Table D-9  Turkish sorting order
C line 31 of card 87
line 33 of card 87
line 35 of card 87
line 37 of card 87
line 39 of card 87
line 41 of card 87
line 43 of card 87
line 45 of card 87
line 47 of card 87
KY Appendix E: Useful Addresses.Sections
N About this appendix
Africa
General
Angola and Mozambique  
Kenya 
Asia
Bangladesh  
China  
Hong Kong  
India 
Indonesia 
Korea 
Malaysia  
Pakistan  
Philippines  
Singapore  
Taiwan  
Thailand
Australia 
Headquarters
Adelaide
Brisbane
Canberra
Melbourne
Perth
Canada 
Headquarters 
Calgary 
Edmonton 
Halifax 
Montreal 
Ottawa 
Quebec 
Vancouver 
Victoria 
Winnipeg 
The Caribbean
General 
Puerto Rico 
Europe
Austria
Belgium
Denmark 
Finland 
France 
Germany 
Greece 
Iceland  
Ireland  
Italy 
Malta  
Netherlands  
North Atlantic Treaty Organization  
Norway 
Portugal 
Spain 
Sweden 
Switzerland  
Turkey  
United Kingdom  
Yugoslavia  
Japan  
Latin America
Argentina
Chile 
Colombia 
Costa Rica 
Ecuador 
Mexico 
Paraguay  
Peru  
Venezuela  
The Middle East  
General  
Egypt 
Iran 
Israel  
Saudi Arabia  
The Pacific  
Guam 
New Zealand 
United States
Translation Services in Europe
C card 88
card 89
card 90
card 91
card 92
card 93
card 94
card 95
card 96
card 97
card 98
card 99
card 100
card 101
card 102
card 103
card 104
card 105
card 106
card 107
card 108
card 109
card 110
card 111
card 112
card 113
card 114
card 115
card 116
card 117
card 118
card 119
card 120
card 121
card 122
card 123
card 124
card 125
card 126
card 127
card 128
card 129
card 130
card 131
card 132
card 133
card 134
card 135
card 136
card 137
card 138
card 139
card 140
card 141
card 142
card 143
card 144
card 145
card 146
card 147
card 148
card 149
card 150
card 151
card 152
card 153
card 154
card 155
card 156
card 157
card 158
card 159
card 160
card 161
card 162
card 163
card 164
card 165
card 166
card 167
card 168
card 169
card 170
KY Appendix F: Summary of Scripts.Sections
N About this appendix
C card 171
KY Appendix F: Summary of Scripts.Tables
N Table F-1  Scripts
Table F-2  Languages
Table F-3  Chinese, Korean, and Japanese subscripts
Table F-4  Virtual key codes
Table F-5  Special font sets
C line 19 of card 171
line 21 of card 171
line 23 of card 171
line 25 of card 171
line 27 of card 171
KY Appendix G: System Software Version 7.0.Sections
N About this appendix
New Script Manager features
The Keyboard menu
In-line text conversion
New system resources
Keyboard icons
Language, script, and region correlation
Script system feature sharing
Jewish calendar	
C card 172
card 173
card 174
card 175
card 176
card 177
card 178
card 179
card 180
KY Appendix G: System Software Version 7.0.Tables
N Table G-1  Version 7.0 system resource types
Table G-2  Characteristics of version 7.0 localized system resources
Table G-3  Jewish months
C line 3 of card 176
line 7 of card 176
line 3 of card 180
KY Appendix H: Programmer's Quick Reference.Sections
N About this appendix
Text in the user interface
User-entered text
Cultural differences
C card 181
card 182
card 183
card 184
KY Bibliography.Sections
N Bibliography
Apple technical publications
Apple worldwide marketing guides
Africa
Australia
Belgium
Canada
Europe
Far East
France
Germany
Italy
Japan
Middle East
Sweden
Switzerland
United Kingdom
The World
Cultural advice
Linguistic references
Survey works
Bilingual dictionaries
C card 185
card 186
card 187
card 188
card 189
card 190
card 191
card 192
card 193
card 194
card 195
card 196
card 197
card 198
card 199
card 200
card 201
card 202
card 203
card 204
card 205
card 206
KY Bibliography.Tables
N Table BI-1  Apple technical publications
Table BI-1-1  Apple technical publications (continued)
Table BI-1-2  Apple technical publications (continued)
C line 17 of card 186
line 19 of card 186
line 21 of card 186
KY Glossary.Sections
N Glossary
C card 207
